Subject: Re: bug#44059: 28.0.50; Trash files cannot be deleted properly if delete-by-moving-to-trash is set

From: Jean Louis <[email-masked]>
Date: Mon, 26 Oct 2020 19:03:22 +0300

* Eli Zaretskii <[email-masked]> [2020-10-19 17:55]:
> > From: Lars Ingebrigtsen <[email-masked]>
> > Date: Mon, 19 Oct 2020 11:54:30 +0200
> > Cc: [email-masked]
> > 
> > And... there doesn't seem to be any commands in Emacs for emptying the
> > trash can?  Shouldn't there be?
> 
> AFAIU, doing this for freedesktop-style trash isn't trivial.

Actually it says that Emacs already does that:

Hide Trash Directory: Value Menu Directory: /home/data1/protected/tmp/Trash/
    State : SAVED and set.
   Directory for ‘move-file-to-trash’ to move files and directories to. Hide
   This directory is used only when the function ‘system-move-file-to-trash’
   is not defined.
   Relative paths are interpreted relative to ‘default-directory’.
   If the value is nil, Emacs uses a freedesktop.org-style trashcan.

So if I set the variable: delete-by-moving-to-trash and not set
trash-directory it will use freedeskstop style. I did not verify, I
just assume it.

There is no big problem. If delete-by-moving-to-trash is set then
Tramp says it was trashed, which is confusing.